Bug 739147 - useradd(8) says that -o option is only valid with -o
useradd(8) says that -o option is only valid with -o
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
15
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-16 11:50 EDT by Jiri Popelka
Modified: 2011-11-13 00:31 EST (History)
2 users (show)

See Also:
Fixed In Version: shadow-utils-4.1.4.3-10.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-13 00:31:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2011-09-16 11:50:58 EDT
From useradd(8) man page

-o, --non-unique
   <snip>
   This option is only valid in combination with the -o option.


There should be '-u' instead of '-o'.

Invocation of useradd with -o without -u gives correct warning:
useradd: -o flag is only allowed with the -u flag 


Version-Release number of selected component (if applicable):
shadow-utils-4.1.4.2-13.fc15
Comment 1 Fedora Update System 2011-11-10 11:54:50 EST
shadow-utils-4.1.4.3-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/shadow-utils-4.1.4.3-10.fc16
Comment 2 Fedora Update System 2011-11-10 20:25:04 EST
Package shadow-utils-4.1.4.3-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shadow-utils-4.1.4.3-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15737
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-11-13 00:31:00 EST
shadow-utils-4.1.4.3-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.